Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.constraints
Class DefaultServiceProperties

    java.lang.Object
      org.bouncycastle.crypto.constraints.DefaultServiceProperties

All Implemented Interfaces:
  CryptoServiceProperties

public class DefaultServiceProperties
extends java.lang.Object
implements CryptoServiceProperties

Constructor Summary
`DefaultServiceProperties(java.lang.String algorithm, int bitsOfSecurity)`
`DefaultServiceProperties(java.lang.String algorithm, int bitsOfSecurity, java.lang.Object params)`
`DefaultServiceProperties(java.lang.String algorithm, int bitsOfSecurity, java.lang.Object params, CryptoServicePurpose purpose)`

Method Summary
`int` | `bitsOfSecurity()`
`java.lang.Object` | `getParams()`
`CryptoServicePurpose` | `getPurpose()`
`java.lang.String` | `getServiceName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultServiceProperties

    public DefaultServiceProperties(java.lang.String algorithm,
                                    int bitsOfSecurity)

### DefaultServiceProperties

    public DefaultServiceProperties(java.lang.String algorithm,
                                    int bitsOfSecurity,
                                    java.lang.Object params)

### DefaultServiceProperties

    public DefaultServiceProperties(java.lang.String algorithm,
                                    int bitsOfSecurity,
                                    java.lang.Object params,
                                    CryptoServicePurpose purpose)

Method Detail

### bitsOfSecurity

    public int bitsOfSecurity()

  Specified by:
    `bitsOfSecurity` in interface `CryptoServiceProperties`

### getServiceName

    public java.lang.String getServiceName()

  Specified by:
    `getServiceName` in interface `CryptoServiceProperties`

### getPurpose

    public CryptoServicePurpose getPurpose()

  Specified by:
    `getPurpose` in interface `CryptoServiceProperties`

### getParams

    public java.lang.Object getParams()

  Specified by:
    `getParams` in interface `CryptoServiceProperties`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD